summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_slay.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-09 12:35:48 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-09 12:35:48 +0100
commit9f20c74c7cc4434b298c40f2786dbd9d54981bd8 (patch)
treebff7f1a319257143ada444aea9b5cd77f3f532b4 /bin/reproducible_slay.sh
parent3c2f65d77d08ab47ecc6ff75eecc729e64575a0b (diff)
downloadjenkins.debian.net-9f20c74c7cc4434b298c40f2786dbd9d54981bd8.tar.xz
reproducible: add new script, reproducible_cleanup_nodes.sh, to kill lonely build processes on all nodes
Diffstat (limited to 'bin/reproducible_slay.sh')
-rwxr-xr-xbin/reproducible_slay.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/reproducible_slay.sh b/bin/reproducible_slay.sh
new file mode 100755
index 00000000..922bea27
--- /dev/null
+++ b/bin/reproducible_slay.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Copyright 2015 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+set -e
+
+# usually called by /srv/jenkins/bin/reproducible_cleanup_nodes.sh
+# this script just kills everyone…
+sudo slay -clean 1111
+sudo slay -clean 2222
+sleep 2
+ps fax
+# only slay jenkins on the build nodes…
+if [ "$HOSTNAME" != "jenkins" ] ; then
+ sudo slay -clean jenkins
+fi
+